Results 1 to 2 of 2

Thread: Burst all blocks...

  1. #1
    I could stop if I wanted to
    Join Date
    2011-09
    Posts
    308
    Login to Give a bone
    0

    Default Burst all blocks...

    Hiya gang,

    I have this simple routine that ALMOST works. it shoudl select all blocks and issue the burst command, however...

    It prompts me to select objects.

    If I type "ALL" and press ENTER it does exactly what I want. But the ssget line should take care of that... I thought.

    What Am I missing?

    Code:
    (defun c:BurstAll (/ ss )   (if (setq ss (ssget "_X" '((0 . "INSERT") (66 . 1))))
          (command (c:Burst) ss "")
          )
       (princ)
       )
    Thanks as always,

    -JP

  2. #2
    Certifiable AUGI Addict
    Join Date
    2001-03
    Location
    Tallahassee, FL USA
    Posts
    3,658
    Login to Give a bone
    0

    Default Re: Burst all blocks...

    Try:
    Code:
    (defun c:BurstAll (/ ss )
       (if (setq ss (ssget "_X" '((0 . "INSERT") (66 . 1))))
    		(progn
    		  (load "Burst.lsp") ; will only autoload when entered at command line.
    		  (sssetfirst nil ss)
    		  (c:Burst)
    		)
          )
       (princ)
    )
    Last edited by BlackBox; 2019-09-11 at 01:04 PM. Reason: added (progn; formatting

Similar Threads

  1. 2008: Possible to Explode/Burst Blocks and Maintain Xclips?
    By ReachAndre in forum AutoCAD General
    Replies: 0
    Last Post: 2011-11-09, 01:01 PM
  2. Burst & Dynamic Blocks
    By shadow_kris in forum AutoCAD General
    Replies: 2
    Last Post: 2008-01-29, 06:14 PM
  3. use BURST instead of EXPLODE
    By ceekayem in forum AutoCAD Tips & Tricks
    Replies: 18
    Last Post: 2006-01-20, 05:21 PM
  4. Using BURST instead of EXPLODE
    By ryan.87191 in forum AutoCAD General
    Replies: 2
    Last Post: 2005-09-12, 09:35 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •